Bug 129343 - Kernel oops on shutdown of Via Velocity ethernet driver
Kernel oops on shutdown of Via Velocity ethernet driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-06 14:32 EDT by William Rucklidge
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops output (3.04 KB, text/plain)
2004-08-06 14:34 EDT, William Rucklidge
no flags Details
Upgrade via-velocity driver to 2.6.8-rc3-mm1 (24.26 KB, patch)
2004-08-07 07:08 EDT, Francois Romieu
no flags Details | Diff
More IP address change event fix for the via-velocity driver (4.88 KB, patch)
2004-08-07 07:21 EDT, Francois Romieu
no flags Details | Diff

  None (edit)
Description William Rucklidge 2004-08-06 14:32:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Hardware is an ABIT AV8 motherboard, Athlon 64 3800+ processor, using
the 32-bit version of Fedora Core 2.

The latest kernel supports the onboard Via Velocity gigabit ethernet.
 The network works fine while the machine is running, but on shutdown
the kernel throws an oops.



Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 2 on an ABIT AV8
2. Update to the 2.6.7-1.494.2.2 kernel
3. Configure the onboard Via Velocity ethernet as eth0
4. Shut down the system.
    

Actual Results:  Kernel oops.

Expected Results:  No oops.

Additional info:
Comment 1 William Rucklidge 2004-08-06 14:34:40 EDT
Created attachment 102483 [details]
oops output

The log output from the kernel oops.
Comment 2 Francois Romieu 2004-08-07 07:08:58 EDT
Created attachment 102496 [details]
Upgrade via-velocity driver to 2.6.8-rc3-mm1

Apply to vanilla 2.6.8-rc3. Should be fine against kernel-2.6.7-1.494.2.2
sources as there was no change in mainline trunk for the via-velocity driver
between 2.6.8-rc1-bk5 and 2.6.8-rc3.
Comment 3 Francois Romieu 2004-08-07 07:21:48 EDT
Created attachment 102497 [details]
More IP address change event fix for the via-velocity driver

This patch applies on top of 2.6.8-rc3-mm1 via-velocity driver. Current -mm
driver fixes the event oops when the via-velocity hardware is not present in
the computer host. However I expect unpatched 2.6.8-rc3-mm1 to oops if faced
with:

modprobe via-velocity -> provide eth0, hopefully unconfigured at the IP level
ifconfig lo ...
ifconfig eth0 ... up  -> oops expected

This sledgehamm^W patch has already been reported on l-k to fix a flavor of the
issue.
Comment 4 Dave Jones 2005-04-16 01:54:53 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.